<?php 
	/**
	 *
	 * Active callbacks.
	 * 
	 */


	/**=============================== Slide Section ====================================**/

	/**
	 * Check if Featured Slider is enabled
	 */
	function nuevo_blog_is_featured_slider_enable( $control ) {
		return $control->manager->get_setting( 'nuevo_blog_featured_slider_section_enable' )->value();
	}

	/**
	 * Check if the Featured Slider is page
	 */
	function nuevo_blog_if_slider_page( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_slider_content_type' )->value();
	    return ( nuevo_blog_is_featured_slider_enable( $control ) && ( 'page' == $content_type ) );
	}

	/**
	 * Check if the Featured Slider is post
	 */
	function nuevo_blog_if_slider_post( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_slider_content_type' )->value();
	    return ( nuevo_blog_is_featured_slider_enable( $control ) && ( 'post' == $content_type ) );
	}

	/**
	 * Check if the Featured Slider is cat
	 */
	function nuevo_blog_if_slider_cat( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_slider_content_type' )->value();
	    return ( nuevo_blog_is_featured_slider_enable( $control ) && ( 'cat' == $content_type ) );
	}

	/**
	 * Check if the Featured Slider is custom
	 */
	function nuevo_blog_if_slider_custom( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_slider_content_type' )->value();
	    return ( nuevo_blog_is_featured_slider_enable( $control ) && ( 'custom' == $content_type ) );
	}

	/**=========================================================================================**/




	/**=============================== List Article Section ====================================**/

	/**
	 * Check if List Article is enabled
	 */
	function nuevo_blog_is_list_articles_enable( $control ) {
		return $control->manager->get_setting( 'nuevo_blog_list_articles_section_enable' )->value();
	}


		/**
	 * Check if the List Articles is page
	 */
	function nuevo_blog_if_list_articles_page( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_list_articles_content_type' )->value();
	    return ( nuevo_blog_is_list_articles_enable( $control ) && ( 'page' == $content_type ) );
	}

	/**
	 * Check if the List Articles is post
	 */
	function nuevo_blog_if_list_articles_post( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_list_articles_content_type' )->value();
	    return ( nuevo_blog_is_list_articles_enable( $control ) && ( 'post' == $content_type ) );
	}

	/**
	 * Check if the List Articles is cat
	 */
	function nuevo_blog_if_list_articles_cat( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_list_articles_content_type' )->value();
	    return ( nuevo_blog_is_list_articles_enable( $control ) && ( 'cat' == $content_type ) );
	}


	/**=========================================================================================**/

	


	/**=============================== Featured Post ====================================**/

	/**
	 * Check if Featured Post is enabled
	 */
	function nuevo_blog_is_featured_post_enable( $control ) {
		return $control->manager->get_setting( 'nuevo_blog_featured_post_section_enable' )->value();
	}

	/**
	 * Check if the Featured Post is page
	 */
	function nuevo_blog_if_featured_post_page( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_featured_post_content_type' )->value();
	    return ( nuevo_blog_is_featured_post_enable( $control ) && ( 'page' == $content_type ) );
	}

	/**
	 * Check if the Featured Post is post
	 */
	function nuevo_blog_if_featured_post_post( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_featured_post_content_type' )->value();
	    return ( nuevo_blog_is_featured_post_enable( $control ) && ( 'post' == $content_type ) );
	}

	/**
	 * Check if the Featured Post is cat
	 */
	function nuevo_blog_if_featured_post_cat( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_featured_post_content_type' )->value();
	    return ( nuevo_blog_is_featured_post_enable( $control ) && ( 'cat' == $content_type ) );
	}

	/**
	 * Check if the Featured Post is custom
	 */
	function nuevo_blog_if_featured_post_custom( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_featured_post_content_type' )->value();
	    return ( nuevo_blog_is_featured_post_enable( $control ) && ( 'custom' == $content_type ) );
	}

	/**=========================================================================================**/





	/**=============================== Author Section ====================================**/

	/**
	 * Check if Author is enabled
	 */
	function nuevo_blog_is_author_enable( $control ) {
		return $control->manager->get_setting( 'nuevo_blog_author_section_enable' )->value();
	}

	/**
	 * Check if the Author is page
	 */
	function nuevo_blog_if_author_page( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_author_content_type' )->value();
	    return ( nuevo_blog_is_author_enable( $control ) && ( 'page' == $content_type ) );
	}

	/**
	 * Check if the Author is post
	 */
	function nuevo_blog_if_author_post( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_author_content_type' )->value();
	    return ( nuevo_blog_is_author_enable( $control ) && ( 'post' == $content_type ) );
	}


	/**
	 * Check if the Author is custom
	 */
	function nuevo_blog_if_author_custom( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_author_content_type' )->value();
	    return ( nuevo_blog_is_author_enable( $control ) && ( 'custom' == $content_type ) );
	}

	/**=========================================================================================**/

	

	/**=============================== Popular Section ====================================**/

	/**
	 * Check if Popular POst is enabled
	 */
	function nuevo_blog_is_popular_enable( $control ) {
		return $control->manager->get_setting( 'nuevo_blog_popular_section_enable' )->value();
	}

	/**
	 * Check if the Popular POst is page
	 */
	function nuevo_blog_if_popular_page( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_popular_content_type' )->value();
	    return ( nuevo_blog_is_popular_enable( $control ) && ( 'page' == $content_type ) );
	}

	/**
	 * Check if the Popular POst is post
	 */
	function nuevo_blog_if_popular_post( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_popular_content_type' )->value();
	    return ( nuevo_blog_is_popular_enable( $control ) && ( 'post' == $content_type ) );
	}

	/**
	 * Check if the Popular POst is cat
	 */
	function nuevo_blog_if_popular_cat( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_popular_content_type' )->value();
	    return ( nuevo_blog_is_popular_enable( $control ) && ( 'cat' == $content_type ) );
	}


	/**=========================================================================================**/

	/**=============================== Video Section ====================================**/

	/**
	 * Check if Video is enabled
	 */
	function nuevo_blog_is_video_enable( $control ) {
		return $control->manager->get_setting( 'nuevo_blog_video_section_enable' )->value();
	}

	/**
	 * Check if the Video is page
	 */
	function nuevo_blog_if_video_page( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_video_content_type' )->value();
	    return ( nuevo_blog_is_video_enable( $control ) && ( 'page' == $content_type ) );
	}

	/**
	 * Check if the Video is post
	 */
	function nuevo_blog_if_video_post( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_video_content_type' )->value();
	    return ( nuevo_blog_is_video_enable( $control ) && ( 'post' == $content_type ) );
	}


	/**
	 * Check if the Video is custom
	 */
	function nuevo_blog_if_video_custom( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_video_content_type' )->value();
	    return ( nuevo_blog_is_video_enable( $control ) && ( 'custom' == $content_type ) );
	}

	/**=========================================================================================**/


	/**=============================== List Article Section ====================================**/

	/**
	 * Check if Latest Featured is enabled
	 */
	function nuevo_blog_is_latest_featured_enable( $control ) {
		return $control->manager->get_setting( 'nuevo_blog_latest_featured_section_enable' )->value();
	}


		/**
	 * Check if the Latest Featured is page
	 */
	function nuevo_blog_if_latest_featured_page( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_latest_featured_content_type' )->value();
	    return ( nuevo_blog_is_latest_featured_enable( $control ) && ( 'page' == $content_type ) );
	}

	/**
	 * Check if the Latest Featured is post
	 */
	function nuevo_blog_if_latest_featured_post( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_latest_featured_content_type' )->value();
	    return ( nuevo_blog_is_latest_featured_enable( $control ) && ( 'post' == $content_type ) );
	}

	/**
	 * Check if the Latest Featured is cat
	 */
	function nuevo_blog_if_latest_featured_cat( $control ) {
		$content_type = $control->manager->get_setting( 'nuevo_blog_latest_featured_content_type' )->value();
	    return ( nuevo_blog_is_latest_featured_enable( $control ) && ( 'cat' == $content_type ) );
	}


	/**=========================================================================================**/


/**==========================================================================================**/



	/**
	 * Check if the latest is not disabled
	 */
	function nuevo_blog_if_latest_not_disabled( $control ) {
		return 'disable' != $control->manager->get_setting( 'nuevo_blog_latest' )->value();
	}

	/**
	 * Check if the latest is page
	 */
	function nuevo_blog_if_latest_page( $control ) {
		return 'page' === $control->manager->get_setting( 'nuevo_blog_latest' )->value();
	}

	/**
	 * Check if the latest is post
	 */
	function nuevo_blog_if_latest_post( $control ) {
		return 'post' === $control->manager->get_setting( 'nuevo_blog_latest' )->value();
	}

	/**
	 * Check if the latest is cat
	 */
	function nuevo_blog_if_latest_cat( $control ) {
		return 'cat' === $control->manager->get_setting( 'nuevo_blog_latest' )->value();
	}

	/**
	 * Check if the latest is custom
	 */
	function nuevo_blog_if_latest_custom( $control ) {
		return 'custom' === $control->manager->get_setting( 'nuevo_blog_latest' )->value();
	}

	/**
	 * Check if the latest is not disabled or category.
	 */
	function nuevo_blog_if_latest_not_cat_disabled( $control ) {
		return ( ! nuevo_blog_if_latest_cat( $control ) && nuevo_blog_if_latest_not_disabled( $control ) );
	}

	/**
	 * Check if the slider is not disabled
	 */
	function nuevo_blog_if_slider_not_disabled( $control ) {
		return 'disable' != $control->manager->get_setting( 'nuevo_blog_slider_content_type' )->value();
	}



	/**
	 * Check if the footer text is enabled
	 */
	function nuevo_blog_if_footer_text_enable( $control ) {
		return $control->manager->get_setting( 'nuevo_blog_enable_footer_text' )->value();
	}

	/**
	 * Check if custom color scheme is enabled
	 */
	function nuevo_blog_if_custom_color_scheme( $control ) {
		return 'custom' === $control->manager->get_setting( 'nuevo_blog_color_scheme' )->value();
	} 
?>